Package ru.bitel.bgbilling.modules.vod.common.bean

# Class Purchase

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.vod.common.bean.Purchase

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Purchase extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_ACTIVE`
  `static final int`
  `STATUS_PURCHASED`
  `static final int`
  `STATUS_ROLLBACKED`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Purchase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssetId()`
  `BigDecimal`
  `getAssetPrice()`
  `String`
  `getAssetTitle()`
  `String`
  `getProductId()`
  `String`
  `getProductName()`
  `String`
  `getProductType()`
  `Date`
  `getPurchaseDateTime()`
  `int`
  `getStatus()`
  `String`
  `getSubProductId()`
  `int`
  `getSubscriberId()`
  `void`
  `setAssetId(String assetId)`
  `void`
  `setAssetPrice(BigDecimal assetPrice)`
  `void`
  `setAssetTitle(String assetTitle)`
  `void`
  `setProductId(String productId)`
  `void`
  `setProductName(String productName)`
  `void`
  `setProductType(String productType)`
  `void`
  `setPurchaseDateTime(Date purchaseDateTime)`
  `void`
  `setStatus(int status)`
  `void`
  `setSubProductId(String subProductId)`
  `void`
  `setSubscriberId(int subscriberId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    See Also:
      - Constant Field Values

  - ### STATUS_PURCHASED

    public static final int STATUS_PURCHASED
    See Also:
      - Constant Field Values

  - ### STATUS_ROLLBACKED

    public static final int STATUS_ROLLBACKED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Purchase

    public Purchase()

- ## Method Details

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getSubscriberId

    public int getSubscriberId()

  - ### setSubscriberId

    public void setSubscriberId(int subscriberId)

  - ### getProductId

    public String getProductId()

  - ### setProductId

    public void setProductId(String productId)

  - ### getProductName

    public String getProductName()

  - ### setProductName

    public void setProductName(String productName)

  - ### getProductType

    public String getProductType()

  - ### setProductType

    public void setProductType(String productType)

  - ### getAssetId

    public String getAssetId()

  - ### setAssetId

    public void setAssetId(String assetId)

  - ### getAssetTitle

    public String getAssetTitle()

  - ### setAssetTitle

    public void setAssetTitle(String assetTitle)

  - ### getAssetPrice

    public BigDecimal getAssetPrice()

  - ### setAssetPrice

    public void setAssetPrice(BigDecimal assetPrice)

  - ### getSubProductId

    public String getSubProductId()

  - ### setSubProductId

    public void setSubProductId(String subProductId)

  - ### getPurchaseDateTime

    public Date getPurchaseDateTime()

  - ### setPurchaseDateTime

    public void setPurchaseDateTime(Date purchaseDateTime)